<?php
namespace WebFacing\cPanel\Email;

/**
 * cPanel Email Accounts for WordPress
 *
 * @package         	WebFacingcPanelEmailPlugin
 * @author          	knutsp <knut@sparhell.no>
 * @copyright       	© 2021 Knut Sparhell, Nettvendt/IT-ing Sparhell, Norway
 * @license         	GPL-2.0-or-later
 *
 * @wordpress-plugin
 * Plugin Name:     	WebFacing - Email Accounts in cPanel®
 * Description:     	🕸️ By WebFacing. Lets you, with no further login, go to read, write and send emails, and add or remove email accounts, forwarders, autoresponders and delete old messages in mailboxes hosted on cPanel® - right from your WP admin area.
 * Plugin URI:      	https://webfacing.eu/
 * Version:         	2.1
 * Author:          	Knut Sparhell
 * Author URI:      	https://profiles.wordpress.org/knutsp/
 * License:         	GPL v2 or later
 * License URI:     	https://www.gnu.org/licenses/gpl-2.0.html
 * Requires PHP:    	7.3
 * Requires at least:   5.6
 * Tested up to:    	5.7.2
 * Domain Path:     	/languages
 * Text Domain:     	wf-cpanel-email-accounts
 */

/**
 * Exit if accessed directly
 */
if ( ! \class_exists( '\WP' ) ) {
	exit;
}

/**
 * Define a non-magic constant inside the namespace pointing to this main plugin file
 */
const PLUGIN_FILE = __FILE__;

if ( ! \class_exists( '\WP_List_Table' ) ) {
	require_once \ABSPATH . 'wp-admin/includes/class-wp-list-table.php';
}

require_once 'compat-functions.php';
require_once 'src/Plugin.php';
require_once 'src/UAPI.php';
require_once 'src/List_Table.php';
require_once 'src/Box_Table.php';
require_once 'src/Table_Page.php';
require_once 'src/New_Email.php';
require_once 'src/Box_Page.php';
require_once 'src/Contact.php';
include_once 'src/utils.php';

Plugin::init();

if ( \is_admin() ) {
	Plugin::admin_init();
}
