<?php
namespace WebFacing\cPanel\Email;

/**
 * Exit if accessed directly
 */
if ( ! \class_exists( '\WP' ) ) {
	exit;
}

class Box_Page extends Plugin {

	private static /*string*/ $page;

	public    static function init() {
	}

	public    static function admin_init() {

		self::$page = self::$pf . 'boxes';

		\add_action( 'admin_menu', function() {
			$email = \sanitize_email( $_POST['email'] ?? ( $_GET['email'] ?? '' ) );
			$args = [ 'singular' => 'box', 'plural' => 'boxes', 'email' => $email ];
			$role = 'manage_options';
			\add_submenu_page(
				self::$pf . 'accounts',
				\sprintf( \_x( 'cPanel® Email Boxes for %1$s', 'Page title', self::$text_domain ), self::email_to_utf8(  $args['email'] ) ),
				\_x( 'Email Boxes', 'Submenu label', self::$text_domain ),
				$role,
				self::$page,
				function() use ( $args ) {
?>
				<div class="wrap">
					<h1 class="wp-heading-inline"><?php echo \get_admin_page_title(); ?></h1>
					<hr class="wp-header-end" />
<?php
					if ( empty( $args['email'] ) ) {
?>
					<form method="GET" action="">
						<input type="hidden" name="page" value="<?php echo self::$page; ?>">
						<select name="email">
							<option value="<?php $account = UAPI::main_email_account(); echo $account->email; ?>"><?php echo self::email_to_utf8( $account->email ); ?></option>
<?php
							foreach ( (array)UAPI::email_accounts() as $account ) {
?>
							<option value="<?php echo $account->email; ?>"><?php echo Plugin::email_to_utf8( $account->email ); ?></option>
<?php
						}
?>
						</select>
						<button type="submit"><?php \_ex( 'Select', 'Button label', self::$text_domain ); ?></button>
					</form>
<?php
					} else {
						if ( ! \current_user_can( 'manage_options' ) && \str_ends_with( $site_domain, $user_domain ) ) {
							$args['email'] = $user_email;
						}
						$list_table = new Box_Table( $args );
						$list_table->prepare_items();
?>
					<form method="POST" action="">
						<input type="hidden" name="page" value="<?php echo self::$page; ?>" />
						<!--input type="hidden" name="email" value="<?php echo $args['email']; ?>" /-->
<?php
						$list_table->display();
?>
					</form>
<?php
					}
?>
				</div>
<?php
				}
			);
		} );
	}
}